CSS2Properties (Java SE 15 & JDK 15)
Description: declaration: module: jdk.xml.dom, package: org.w3c.dom.css, interface: CSS2Properties
Keywords: org.w3c.dom.css.CSS2Properties interface

Module jdk.xml.dom
Package org.w3c.dom.css

# Interface CSS2Properties

    public interface CSS2Properties

The `CSS2Properties` interface represents a convenience mechanism for retrieving and setting properties within a `CSSStyleDeclaration`. The attributes of this interface correspond to all the properties specified in CSS2. Getting an attribute of this interface is equivalent to calling the `getPropertyValue` method of the `CSSStyleDeclaration` interface. Setting an attribute of this interface is equivalent to calling the `setProperty` method of the `CSSStyleDeclaration` interface.

A conformant implementation of the CSS module is not required to implement the `CSS2Properties` interface. If an implementation does implement this interface, the expectation is that language-specific methods can be used to cast from an instance of the `CSSStyleDeclaration` interface to the `CSS2Properties` interface.

If an implementation does implement this interface, it is expected to understand the specific syntax of the shorthand properties, and apply their semantics; when the `margin` property is set, for example, the `marginTop`, `marginRight`, `marginBottom` and `marginLeft` properties are actually being set by the underlying implementation.

When dealing with CSS "shorthand" properties, the shorthand properties should be decomposed into their component longhand properties as appropriate, and when querying for their value, the form returned should be the shortest form exactly equivalent to the declarations made in the ruleset. However, if there is no shorthand declaration that could be added to the ruleset without changing in any way the rules already declared in the ruleset (i.e., by adding longhand rules that were previously not declared in the ruleset), then the empty string should be returned for the shorthand property.

For example, querying for the `font` property should not return "normal normal normal 14pt/normal Arial, sans-serif", when "14pt Arial, sans-serif" suffices. (The normals are initial values, and are implied by use of the longhand property.)

If the values for all the longhand properties that compose a particular string are the initial values, then a string consisting of all the initial values should be returned (e.g. a `border-width` value of "medium" should be returned as such, not as "").

For some shorthand properties that take missing values from other sides, such as the `margin`, `padding`, and `border-[width|style|color]` properties, the minimum number of sides possible should be used; i.e., "0px 10px" will be returned instead of "0px 10px 0px 10px".

If the value of a shorthand property can not be decomposed into its component longhand properties, as is the case for the `font` property with a value of "menu", querying for the values of the component longhand properties should return the empty string.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  1.4, DOM Level 2

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getAzimuth()` | See the azimuth property definition in CSS2.
  `String` | `getBackground()` | See the background property definition in CSS2.
  `String` | `getBackgroundAttachment()` | See the background-attachment property definition in CSS2.
  `String` | `getBackgroundColor()` | See the background-color property definition in CSS2.
  `String` | `getBackgroundImage()` | See the background-image property definition in CSS2.
  `String` | `getBackgroundPosition()` | See the background-position property definition in CSS2.
  `String` | `getBackgroundRepeat()` | See the background-repeat property definition in CSS2.
  `String` | `getBorder()` | See the border property definition in CSS2.
  `String` | `getBorderBottom()` | See the border-bottom property definition in CSS2.
  `String` | `getBorderBottomColor()` | See the border-bottom-color property definition in CSS2.
  `String` | `getBorderBottomStyle()` | See the border-bottom-style property definition in CSS2.
  `String` | `getBorderBottomWidth()` | See the border-bottom-width property definition in CSS2.
  `String` | `getBorderCollapse()` | See the border-collapse property definition in CSS2.
  `String` | `getBorderColor()` | See the border-color property definition in CSS2.
  `String` | `getBorderLeft()` | See the border-left property definition in CSS2.
  `String` | `getBorderLeftColor()` | See the border-left-color property definition in CSS2.
  `String` | `getBorderLeftStyle()` | See the border-left-style property definition in CSS2.
  `String` | `getBorderLeftWidth()` | See the border-left-width property definition in CSS2.
  `String` | `getBorderRight()` | See the border-right property definition in CSS2.
  `String` | `getBorderRightColor()` | See the border-right-color property definition in CSS2.
  `String` | `getBorderRightStyle()` | See the border-right-style property definition in CSS2.
  `String` | `getBorderRightWidth()` | See the border-right-width property definition in CSS2.
  `String` | `getBorderSpacing()` | See the border-spacing property definition in CSS2.
  `String` | `getBorderStyle()` | See the border-style property definition in CSS2.
  `String` | `getBorderTop()` | See the border-top property definition in CSS2.
  `String` | `getBorderTopColor()` | See the border-top-color property definition in CSS2.
  `String` | `getBorderTopStyle()` | See the border-top-style property definition in CSS2.
  `String` | `getBorderTopWidth()` | See the border-top-width property definition in CSS2.
  `String` | `getBorderWidth()` | See the border-width property definition in CSS2.
  `String` | `getBottom()` | See the bottom property definition in CSS2.
  `String` | `getCaptionSide()` | See the caption-side property definition in CSS2.
  `String` | `getClear()` | See the clear property definition in CSS2.
  `String` | `getClip()` | See the clip property definition in CSS2.
  `String` | `getColor()` | See the color property definition in CSS2.
  `String` | `getContent()` | See the content property definition in CSS2.
  `String` | `getCounterIncrement()` | See the counter-increment property definition in CSS2.
  `String` | `getCounterReset()` | See the counter-reset property definition in CSS2.
  `String` | `getCssFloat()` | See the float property definition in CSS2.
  `String` | `getCue()` | See the cue property definition in CSS2.
  `String` | `getCueAfter()` | See the cue-after property definition in CSS2.
  `String` | `getCueBefore()` | See the cue-before property definition in CSS2.
  `String` | `getCursor()` | See the cursor property definition in CSS2.
  `String` | `getDirection()` | See the direction property definition in CSS2.
  `String` | `getDisplay()` | See the display property definition in CSS2.
  `String` | `getElevation()` | See the elevation property definition in CSS2.
  `String` | `getEmptyCells()` | See the empty-cells property definition in CSS2.
  `String` | `getFont()` | See the font property definition in CSS2.
  `String` | `getFontFamily()` | See the font-family property definition in CSS2.
  `String` | `getFontSize()` | See the font-size property definition in CSS2.
  `String` | `getFontSizeAdjust()` | See the font-size-adjust property definition in CSS2.
  `String` | `getFontStretch()` | See the font-stretch property definition in CSS2.
  `String` | `getFontStyle()` | See the font-style property definition in CSS2.
  `String` | `getFontVariant()` | See the font-variant property definition in CSS2.
  `String` | `getFontWeight()` | See the font-weight property definition in CSS2.
  `String` | `getHeight()` | See the height property definition in CSS2.
  `String` | `getLeft()` | See the left property definition in CSS2.
  `String` | `getLetterSpacing()` | See the letter-spacing property definition in CSS2.
  `String` | `getLineHeight()` | See the line-height property definition in CSS2.
  `String` | `getListStyle()` | See the list-style property definition in CSS2.
  `String` | `getListStyleImage()` | See the list-style-image property definition in CSS2.
  `String` | `getListStylePosition()` | See the list-style-position property definition in CSS2.
  `String` | `getListStyleType()` | See the list-style-type property definition in CSS2.
  `String` | `getMargin()` | See the margin property definition in CSS2.
  `String` | `getMarginBottom()` | See the margin-bottom property definition in CSS2.
  `String` | `getMarginLeft()` | See the margin-left property definition in CSS2.
  `String` | `getMarginRight()` | See the margin-right property definition in CSS2.
  `String` | `getMarginTop()` | See the margin-top property definition in CSS2.
  `String` | `getMarkerOffset()` | See the marker-offset property definition in CSS2.
  `String` | `getMarks()` | See the marks property definition in CSS2.
  `String` | `getMaxHeight()` | See the max-height property definition in CSS2.
  `String` | `getMaxWidth()` | See the max-width property definition in CSS2.
  `String` | `getMinHeight()` | See the min-height property definition in CSS2.
  `String` | `getMinWidth()` | See the min-width property definition in CSS2.
  `String` | `getOrphans()` | See the orphans property definition in CSS2.
  `String` | `getOutline()` | See the outline property definition in CSS2.
  `String` | `getOutlineColor()` | See the outline-color property definition in CSS2.
  `String` | `getOutlineStyle()` | See the outline-style property definition in CSS2.
  `String` | `getOutlineWidth()` | See the outline-width property definition in CSS2.
  `String` | `getOverflow()` | See the overflow property definition in CSS2.
  `String` | `getPadding()` | See the padding property definition in CSS2.
  `String` | `getPaddingBottom()` | See the padding-bottom property definition in CSS2.
  `String` | `getPaddingLeft()` | See the padding-left property definition in CSS2.
  `String` | `getPaddingRight()` | See the padding-right property definition in CSS2.
  `String` | `getPaddingTop()` | See the padding-top property definition in CSS2.
  `String` | `getPage()` | See the page property definition in CSS2.
  `String` | `getPageBreakAfter()` | See the page-break-after property definition in CSS2.
  `String` | `getPageBreakBefore()` | See the page-break-before property definition in CSS2.
  `String` | `getPageBreakInside()` | See the page-break-inside property definition in CSS2.
  `String` | `getPause()` | See the pause property definition in CSS2.
  `String` | `getPauseAfter()` | See the pause-after property definition in CSS2.
  `String` | `getPauseBefore()` | See the pause-before property definition in CSS2.
  `String` | `getPitch()` | See the pitch property definition in CSS2.
  `String` | `getPitchRange()` | See the pitch-range property definition in CSS2.
  `String` | `getPlayDuring()` | See the play-during property definition in CSS2.
  `String` | `getPosition()` | See the position property definition in CSS2.
  `String` | `getQuotes()` | See the quotes property definition in CSS2.
  `String` | `getRichness()` | See the richness property definition in CSS2.
  `String` | `getRight()` | See the right property definition in CSS2.
  `String` | `getSize()` | See the size property definition in CSS2.
  `String` | `getSpeak()` | See the speak property definition in CSS2.
  `String` | `getSpeakHeader()` | See the speak-header property definition in CSS2.
  `String` | `getSpeakNumeral()` | See the speak-numeral property definition in CSS2.
  `String` | `getSpeakPunctuation()` | See the speak-punctuation property definition in CSS2.
  `String` | `getSpeechRate()` | See the speech-rate property definition in CSS2.
  `String` | `getStress()` | See the stress property definition in CSS2.
  `String` | `getTableLayout()` | See the table-layout property definition in CSS2.
  `String` | `getTextAlign()` | See the text-align property definition in CSS2.
  `String` | `getTextDecoration()` | See the text-decoration property definition in CSS2.
  `String` | `getTextIndent()` | See the text-indent property definition in CSS2.
  `String` | `getTextShadow()` | See the text-shadow property definition in CSS2.
  `String` | `getTextTransform()` | See the text-transform property definition in CSS2.
  `String` | `getTop()` | See the top property definition in CSS2.
  `String` | `getUnicodeBidi()` | See the unicode-bidi property definition in CSS2.
  `String` | `getVerticalAlign()` | See the vertical-align property definition in CSS2.
  `String` | `getVisibility()` | See the visibility property definition in CSS2.
  `String` | `getVoiceFamily()` | See the voice-family property definition in CSS2.
  `String` | `getVolume()` | See the volume property definition in CSS2.
  `String` | `getWhiteSpace()` | See the white-space property definition in CSS2.
  `String` | `getWidows()` | See the widows property definition in CSS2.
  `String` | `getWidth()` | See the width property definition in CSS2.
  `String` | `getWordSpacing()` | See the word-spacing property definition in CSS2.
  `String` | `getZIndex()` | See the z-index property definition in CSS2.
  `void` | `setAzimuth​(String azimuth)` | See the azimuth property definition in CSS2.
  `void` | `setBackground​(String background)` | See the background property definition in CSS2.
  `void` | `setBackgroundAttachment​(String backgroundAttachment)` | See the background-attachment property definition in CSS2.
  `void` | `setBackgroundColor​(String backgroundColor)` | See the background-color property definition in CSS2.
  `void` | `setBackgroundImage​(String backgroundImage)` | See the background-image property definition in CSS2.
  `void` | `setBackgroundPosition​(String backgroundPosition)` | See the background-position property definition in CSS2.
  `void` | `setBackgroundRepeat​(String backgroundRepeat)` | See the background-repeat property definition in CSS2.
  `void` | `setBorder​(String border)` | See the border property definition in CSS2.
  `void` | `setBorderBottom​(String borderBottom)` | See the border-bottom property definition in CSS2.
  `void` | `setBorderBottomColor​(String borderBottomColor)` | See the border-bottom-color property definition in CSS2.
  `void` | `setBorderBottomStyle​(String borderBottomStyle)` | See the border-bottom-style property definition in CSS2.
  `void` | `setBorderBottomWidth​(String borderBottomWidth)` | See the border-bottom-width property definition in CSS2.
  `void` | `setBorderCollapse​(String borderCollapse)` | See the border-collapse property definition in CSS2.
  `void` | `setBorderColor​(String borderColor)` | See the border-color property definition in CSS2.
  `void` | `setBorderLeft​(String borderLeft)` | See the border-left property definition in CSS2.
  `void` | `setBorderLeftColor​(String borderLeftColor)` | See the border-left-color property definition in CSS2.
  `void` | `setBorderLeftStyle​(String borderLeftStyle)` | See the border-left-style property definition in CSS2.
  `void` | `setBorderLeftWidth​(String borderLeftWidth)` | See the border-left-width property definition in CSS2.
  `void` | `setBorderRight​(String borderRight)` | See the border-right property definition in CSS2.
  `void` | `setBorderRightColor​(String borderRightColor)` | See the border-right-color property definition in CSS2.
  `void` | `setBorderRightStyle​(String borderRightStyle)` | See the border-right-style property definition in CSS2.
  `void` | `setBorderRightWidth​(String borderRightWidth)` | See the border-right-width property definition in CSS2.
  `void` | `setBorderSpacing​(String borderSpacing)` | See the border-spacing property definition in CSS2.
  `void` | `setBorderStyle​(String borderStyle)` | See the border-style property definition in CSS2.
  `void` | `setBorderTop​(String borderTop)` | See the border-top property definition in CSS2.
  `void` | `setBorderTopColor​(String borderTopColor)` | See the border-top-color property definition in CSS2.
  `void` | `setBorderTopStyle​(String borderTopStyle)` | See the border-top-style property definition in CSS2.
  `void` | `setBorderTopWidth​(String borderTopWidth)` | See the border-top-width property definition in CSS2.
  `void` | `setBorderWidth​(String borderWidth)` | See the border-width property definition in CSS2.
  `void` | `setBottom​(String bottom)` | See the bottom property definition in CSS2.
  `void` | `setCaptionSide​(String captionSide)` | See the caption-side property definition in CSS2.
  `void` | `setClear​(String clear)` | See the clear property definition in CSS2.
  `void` | `setClip​(String clip)` | See the clip property definition in CSS2.
  `void` | `setColor​(String color)` | See the color property definition in CSS2.
  `void` | `setContent​(String content)` | See the content property definition in CSS2.
  `void` | `setCounterIncrement​(String counterIncrement)` | See the counter-increment property definition in CSS2.
  `void` | `setCounterReset​(String counterReset)` | See the counter-reset property definition in CSS2.
  `void` | `setCssFloat​(String cssFloat)` | See the float property definition in CSS2.
  `void` | `setCue​(String cue)` | See the cue property definition in CSS2.
  `void` | `setCueAfter​(String cueAfter)` | See the cue-after property definition in CSS2.
  `void` | `setCueBefore​(String cueBefore)` | See the cue-before property definition in CSS2.
  `void` | `setCursor​(String cursor)` | See the cursor property definition in CSS2.
  `void` | `setDirection​(String direction)` | See the direction property definition in CSS2.
  `void` | `setDisplay​(String display)` | See the display property definition in CSS2.
  `void` | `setElevation​(String elevation)` | See the elevation property definition in CSS2.
  `void` | `setEmptyCells​(String emptyCells)` | See the empty-cells property definition in CSS2.
  `void` | `setFont​(String font)` | See the font property definition in CSS2.
  `void` | `setFontFamily​(String fontFamily)` | See the font-family property definition in CSS2.
  `void` | `setFontSize​(String fontSize)` | See the font-size property definition in CSS2.
  `void` | `setFontSizeAdjust​(String fontSizeAdjust)` | See the font-size-adjust property definition in CSS2.
  `void` | `setFontStretch​(String fontStretch)` | See the font-stretch property definition in CSS2.
  `void` | `setFontStyle​(String fontStyle)` | See the font-style property definition in CSS2.
  `void` | `setFontVariant​(String fontVariant)` | See the font-variant property definition in CSS2.
  `void` | `setFontWeight​(String fontWeight)` | See the font-weight property definition in CSS2.
  `void` | `setHeight​(String height)` | See the height property definition in CSS2.
  `void` | `setLeft​(String left)` | See the left property definition in CSS2.
  `void` | `setLetterSpacing​(String letterSpacing)` | See the letter-spacing property definition in CSS2.
  `void` | `setLineHeight​(String lineHeight)` | See the line-height property definition in CSS2.
  `void` | `setListStyle​(String listStyle)` | See the list-style property definition in CSS2.
  `void` | `setListStyleImage​(String listStyleImage)` | See the list-style-image property definition in CSS2.
  `void` | `setListStylePosition​(String listStylePosition)` | See the list-style-position property definition in CSS2.
  `void` | `setListStyleType​(String listStyleType)` | See the list-style-type property definition in CSS2.
  `void` | `setMargin​(String margin)` | See the margin property definition in CSS2.
  `void` | `setMarginBottom​(String marginBottom)` | See the margin-bottom property definition in CSS2.
  `void` | `setMarginLeft​(String marginLeft)` | See the margin-left property definition in CSS2.
  `void` | `setMarginRight​(String marginRight)` | See the margin-right property definition in CSS2.
  `void` | `setMarginTop​(String marginTop)` | See the margin-top property definition in CSS2.
  `void` | `setMarkerOffset​(String markerOffset)` | See the marker-offset property definition in CSS2.
  `void` | `setMarks​(String marks)` | See the marks property definition in CSS2.
  `void` | `setMaxHeight​(String maxHeight)` | See the max-height property definition in CSS2.
  `void` | `setMaxWidth​(String maxWidth)` | See the max-width property definition in CSS2.
  `void` | `setMinHeight​(String minHeight)` | See the min-height property definition in CSS2.
  `void` | `setMinWidth​(String minWidth)` | See the min-width property definition in CSS2.
  `void` | `setOrphans​(String orphans)` | See the orphans property definition in CSS2.
  `void` | `setOutline​(String outline)` | See the outline property definition in CSS2.
  `void` | `setOutlineColor​(String outlineColor)` | See the outline-color property definition in CSS2.
  `void` | `setOutlineStyle​(String outlineStyle)` | See the outline-style property definition in CSS2.
  `void` | `setOutlineWidth​(String outlineWidth)` | See the outline-width property definition in CSS2.
  `void` | `setOverflow​(String overflow)` | See the overflow property definition in CSS2.
  `void` | `setPadding​(String padding)` | See the padding property definition in CSS2.
  `void` | `setPaddingBottom​(String paddingBottom)` | See the padding-bottom property definition in CSS2.
  `void` | `setPaddingLeft​(String paddingLeft)` | See the padding-left property definition in CSS2.
  `void` | `setPaddingRight​(String paddingRight)` | See the padding-right property definition in CSS2.
  `void` | `setPaddingTop​(String paddingTop)` | See the padding-top property definition in CSS2.
  `void` | `setPage​(String page)` | See the page property definition in CSS2.
  `void` | `setPageBreakAfter​(String pageBreakAfter)` | See the page-break-after property definition in CSS2.
  `void` | `setPageBreakBefore​(String pageBreakBefore)` | See the page-break-before property definition in CSS2.
  `void` | `setPageBreakInside​(String pageBreakInside)` | See the page-break-inside property definition in CSS2.
  `void` | `setPause​(String pause)` | See the pause property definition in CSS2.
  `void` | `setPauseAfter​(String pauseAfter)` | See the pause-after property definition in CSS2.
  `void` | `setPauseBefore​(String pauseBefore)` | See the pause-before property definition in CSS2.
  `void` | `setPitch​(String pitch)` | See the pitch property definition in CSS2.
  `void` | `setPitchRange​(String pitchRange)` | See the pitch-range property definition in CSS2.
  `void` | `setPlayDuring​(String playDuring)` | See the play-during property definition in CSS2.
  `void` | `setPosition​(String position)` | See the position property definition in CSS2.
  `void` | `setQuotes​(String quotes)` | See the quotes property definition in CSS2.
  `void` | `setRichness​(String richness)` | See the richness property definition in CSS2.
  `void` | `setRight​(String right)` | See the right property definition in CSS2.
  `void` | `setSize​(String size)` | See the size property definition in CSS2.
  `void` | `setSpeak​(String speak)` | See the speak property definition in CSS2.
  `void` | `setSpeakHeader​(String speakHeader)` | See the speak-header property definition in CSS2.
  `void` | `setSpeakNumeral​(String speakNumeral)` | See the speak-numeral property definition in CSS2.
  `void` | `setSpeakPunctuation​(String speakPunctuation)` | See the speak-punctuation property definition in CSS2.
  `void` | `setSpeechRate​(String speechRate)` | See the speech-rate property definition in CSS2.
  `void` | `setStress​(String stress)` | See the stress property definition in CSS2.
  `void` | `setTableLayout​(String tableLayout)` | See the table-layout property definition in CSS2.
  `void` | `setTextAlign​(String textAlign)` | See the text-align property definition in CSS2.
  `void` | `setTextDecoration​(String textDecoration)` | See the text-decoration property definition in CSS2.
  `void` | `setTextIndent​(String textIndent)` | See the text-indent property definition in CSS2.
  `void` | `setTextShadow​(String textShadow)` | See the text-shadow property definition in CSS2.
  `void` | `setTextTransform​(String textTransform)` | See the text-transform property definition in CSS2.
  `void` | `setTop​(String top)` | See the top property definition in CSS2.
  `void` | `setUnicodeBidi​(String unicodeBidi)` | See the unicode-bidi property definition in CSS2.
  `void` | `setVerticalAlign​(String verticalAlign)` | See the vertical-align property definition in CSS2.
  `void` | `setVisibility​(String visibility)` | See the visibility property definition in CSS2.
  `void` | `setVoiceFamily​(String voiceFamily)` | See the voice-family property definition in CSS2.
  `void` | `setVolume​(String volume)` | See the volume property definition in CSS2.
  `void` | `setWhiteSpace​(String whiteSpace)` | See the white-space property definition in CSS2.
  `void` | `setWidows​(String widows)` | See the widows property definition in CSS2.
  `void` | `setWidth​(String width)` | See the width property definition in CSS2.
  `void` | `setWordSpacing​(String wordSpacing)` | See the word-spacing property definition in CSS2.
  `void` | `setZIndex​(String zIndex)` | See the z-index property definition in CSS2.

- ## Method Details

  - ### getAzimuth

    String getAzimuth()
    See the azimuth property definition in CSS2.

  - ### setAzimuth

    void setAzimuth​(String azimuth) throws DOMException
    See the azimuth property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBackground

    String getBackground()
    See the background property definition in CSS2.

  - ### setBackground

    void setBackground​(String background) throws DOMException
    See the background property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBackgroundAttachment

    String getBackgroundAttachment()
    See the background-attachment property definition in CSS2.

  - ### setBackgroundAttachment

    void setBackgroundAttachment​(String backgroundAttachment) throws DOMException
    See the background-attachment property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBackgroundColor

    String getBackgroundColor()
    See the background-color property definition in CSS2.

  - ### setBackgroundColor

    void setBackgroundColor​(String backgroundColor) throws DOMException
    See the background-color property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBackgroundImage

    String getBackgroundImage()
    See the background-image property definition in CSS2.

  - ### setBackgroundImage

    void setBackgroundImage​(String backgroundImage) throws DOMException
    See the background-image property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBackgroundPosition

    String getBackgroundPosition()
    See the background-position property definition in CSS2.

  - ### setBackgroundPosition

    void setBackgroundPosition​(String backgroundPosition) throws DOMException
    See the background-position property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBackgroundRepeat

    String getBackgroundRepeat()
    See the background-repeat property definition in CSS2.

  - ### setBackgroundRepeat

    void setBackgroundRepeat​(String backgroundRepeat) throws DOMException
    See the background-repeat property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorder

    String getBorder()
    See the border property definition in CSS2.

  - ### setBorder

    void setBorder​(String border) throws DOMException
    See the border property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderCollapse

    String getBorderCollapse()
    See the border-collapse property definition in CSS2.

  - ### setBorderCollapse

    void setBorderCollapse​(String borderCollapse) throws DOMException
    See the border-collapse property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderColor

    String getBorderColor()
    See the border-color property definition in CSS2.

  - ### setBorderColor

    void setBorderColor​(String borderColor) throws DOMException
    See the border-color property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderSpacing

    String getBorderSpacing()
    See the border-spacing property definition in CSS2.

  - ### setBorderSpacing

    void setBorderSpacing​(String borderSpacing) throws DOMException
    See the border-spacing property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderStyle

    String getBorderStyle()
    See the border-style property definition in CSS2.

  - ### setBorderStyle

    void setBorderStyle​(String borderStyle) throws DOMException
    See the border-style property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderTop

    String getBorderTop()
    See the border-top property definition in CSS2.

  - ### setBorderTop

    void setBorderTop​(String borderTop) throws DOMException
    See the border-top property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderRight

    String getBorderRight()
    See the border-right property definition in CSS2.

  - ### setBorderRight

    void setBorderRight​(String borderRight) throws DOMException
    See the border-right property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderBottom

    String getBorderBottom()
    See the border-bottom property definition in CSS2.

  - ### setBorderBottom

    void setBorderBottom​(String borderBottom) throws DOMException
    See the border-bottom property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderLeft

    String getBorderLeft()
    See the border-left property definition in CSS2.

  - ### setBorderLeft

    void setBorderLeft​(String borderLeft) throws DOMException
    See the border-left property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderTopColor

    String getBorderTopColor()
    See the border-top-color property definition in CSS2.

  - ### setBorderTopColor

    void setBorderTopColor​(String borderTopColor) throws DOMException
    See the border-top-color property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderRightColor

    String getBorderRightColor()
    See the border-right-color property definition in CSS2.

  - ### setBorderRightColor

    void setBorderRightColor​(String borderRightColor) throws DOMException
    See the border-right-color property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderBottomColor

    String getBorderBottomColor()
    See the border-bottom-color property definition in CSS2.

  - ### setBorderBottomColor

    void setBorderBottomColor​(String borderBottomColor) throws DOMException
    See the border-bottom-color property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderLeftColor

    String getBorderLeftColor()
    See the border-left-color property definition in CSS2.

  - ### setBorderLeftColor

    void setBorderLeftColor​(String borderLeftColor) throws DOMException
    See the border-left-color property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderTopStyle

    String getBorderTopStyle()
    See the border-top-style property definition in CSS2.

  - ### setBorderTopStyle

    void setBorderTopStyle​(String borderTopStyle) throws DOMException
    See the border-top-style property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderRightStyle

    String getBorderRightStyle()
    See the border-right-style property definition in CSS2.

  - ### setBorderRightStyle

    void setBorderRightStyle​(String borderRightStyle) throws DOMException
    See the border-right-style property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderBottomStyle

    String getBorderBottomStyle()
    See the border-bottom-style property definition in CSS2.

  - ### setBorderBottomStyle

    void setBorderBottomStyle​(String borderBottomStyle) throws DOMException
    See the border-bottom-style property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderLeftStyle

    String getBorderLeftStyle()
    See the border-left-style property definition in CSS2.

  - ### setBorderLeftStyle

    void setBorderLeftStyle​(String borderLeftStyle) throws DOMException
    See the border-left-style property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderTopWidth

    String getBorderTopWidth()
    See the border-top-width property definition in CSS2.

  - ### setBorderTopWidth

    void setBorderTopWidth​(String borderTopWidth) throws DOMException
    See the border-top-width property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderRightWidth

    String getBorderRightWidth()
    See the border-right-width property definition in CSS2.

  - ### setBorderRightWidth

    void setBorderRightWidth​(String borderRightWidth) throws DOMException
    See the border-right-width property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderBottomWidth

    String getBorderBottomWidth()
    See the border-bottom-width property definition in CSS2.

  - ### setBorderBottomWidth

    void setBorderBottomWidth​(String borderBottomWidth) throws DOMException
    See the border-bottom-width property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderLeftWidth

    String getBorderLeftWidth()
    See the border-left-width property definition in CSS2.

  - ### setBorderLeftWidth

    void setBorderLeftWidth​(String borderLeftWidth) throws DOMException
    See the border-left-width property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBorderWidth

    String getBorderWidth()
    See the border-width property definition in CSS2.

  - ### setBorderWidth

    void setBorderWidth​(String borderWidth) throws DOMException
    See the border-width property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getBottom

    String getBottom()
    See the bottom property definition in CSS2.

  - ### setBottom

    void setBottom​(String bottom) throws DOMException
    See the bottom property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getCaptionSide

    String getCaptionSide()
    See the caption-side property definition in CSS2.

  - ### setCaptionSide

    void setCaptionSide​(String captionSide) throws DOMException
    See the caption-side property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getClear

    String getClear()
    See the clear property definition in CSS2.

  - ### setClear

    void setClear​(String clear) throws DOMException
    See the clear property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getClip

    String getClip()
    See the clip property definition in CSS2.

  - ### setClip

    void setClip​(String clip) throws DOMException
    See the clip property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getColor

    String getColor()
    See the color property definition in CSS2.

  - ### setColor

    void setColor​(String color) throws DOMException
    See the color property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getContent

    String getContent()
    See the content property definition in CSS2.

  - ### setContent

    void setContent​(String content) throws DOMException
    See the content property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getCounterIncrement

    String getCounterIncrement()
    See the counter-increment property definition in CSS2.

  - ### setCounterIncrement

    void setCounterIncrement​(String counterIncrement) throws DOMException
    See the counter-increment property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getCounterReset

    String getCounterReset()
    See the counter-reset property definition in CSS2.

  - ### setCounterReset

    void setCounterReset​(String counterReset) throws DOMException
    See the counter-reset property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getCue

    String getCue()
    See the cue property definition in CSS2.

  - ### setCue

    void setCue​(String cue) throws DOMException
    See the cue property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getCueAfter

    String getCueAfter()
    See the cue-after property definition in CSS2.

  - ### setCueAfter

    void setCueAfter​(String cueAfter) throws DOMException
    See the cue-after property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getCueBefore

    String getCueBefore()
    See the cue-before property definition in CSS2.

  - ### setCueBefore

    void setCueBefore​(String cueBefore) throws DOMException
    See the cue-before property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getCursor

    String getCursor()
    See the cursor property definition in CSS2.

  - ### setCursor

    void setCursor​(String cursor) throws DOMException
    See the cursor property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getDirection

    String getDirection()
    See the direction property definition in CSS2.

  - ### setDirection

    void setDirection​(String direction) throws DOMException
    See the direction property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getDisplay

    String getDisplay()
    See the display property definition in CSS2.

  - ### setDisplay

    void setDisplay​(String display) throws DOMException
    See the display property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getElevation

    String getElevation()
    See the elevation property definition in CSS2.

  - ### setElevation

    void setElevation​(String elevation) throws DOMException
    See the elevation property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getEmptyCells

    String getEmptyCells()
    See the empty-cells property definition in CSS2.

  - ### setEmptyCells

    void setEmptyCells​(String emptyCells) throws DOMException
    See the empty-cells property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getCssFloat

    String getCssFloat()
    See the float property definition in CSS2.

  - ### setCssFloat

    void setCssFloat​(String cssFloat) throws DOMException
    See the float property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getFont

    String getFont()
    See the font property definition in CSS2.

  - ### setFont

    void setFont​(String font) throws DOMException
    See the font property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getFontFamily

    String getFontFamily()
    See the font-family property definition in CSS2.

  - ### setFontFamily

    void setFontFamily​(String fontFamily) throws DOMException
    See the font-family property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getFontSize

    String getFontSize()
    See the font-size property definition in CSS2.

  - ### setFontSize

    void setFontSize​(String fontSize) throws DOMException
    See the font-size property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getFontSizeAdjust

    String getFontSizeAdjust()
    See the font-size-adjust property definition in CSS2.

  - ### setFontSizeAdjust

    void setFontSizeAdjust​(String fontSizeAdjust) throws DOMException
    See the font-size-adjust property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getFontStretch

    String getFontStretch()
    See the font-stretch property definition in CSS2.

  - ### setFontStretch

    void setFontStretch​(String fontStretch) throws DOMException
    See the font-stretch property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getFontStyle

    String getFontStyle()
    See the font-style property definition in CSS2.

  - ### setFontStyle

    void setFontStyle​(String fontStyle) throws DOMException
    See the font-style property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getFontVariant

    String getFontVariant()
    See the font-variant property definition in CSS2.

  - ### setFontVariant

    void setFontVariant​(String fontVariant) throws DOMException
    See the font-variant property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getFontWeight

    String getFontWeight()
    See the font-weight property definition in CSS2.

  - ### setFontWeight

    void setFontWeight​(String fontWeight) throws DOMException
    See the font-weight property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getHeight

    String getHeight()
    See the height property definition in CSS2.

  - ### setHeight

    void setHeight​(String height) throws DOMException
    See the height property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getLeft

    String getLeft()
    See the left property definition in CSS2.

  - ### setLeft

    void setLeft​(String left) throws DOMException
    See the left property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getLetterSpacing

    String getLetterSpacing()
    See the letter-spacing property definition in CSS2.

  - ### setLetterSpacing

    void setLetterSpacing​(String letterSpacing) throws DOMException
    See the letter-spacing property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getLineHeight

    String getLineHeight()
    See the line-height property definition in CSS2.

  - ### setLineHeight

    void setLineHeight​(String lineHeight) throws DOMException
    See the line-height property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getListStyle

    String getListStyle()
    See the list-style property definition in CSS2.

  - ### setListStyle

    void setListStyle​(String listStyle) throws DOMException
    See the list-style property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getListStyleImage

    String getListStyleImage()
    See the list-style-image property definition in CSS2.

  - ### setListStyleImage

    void setListStyleImage​(String listStyleImage) throws DOMException
    See the list-style-image property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getListStylePosition

    String getListStylePosition()
    See the list-style-position property definition in CSS2.

  - ### setListStylePosition

    void setListStylePosition​(String listStylePosition) throws DOMException
    See the list-style-position property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getListStyleType

    String getListStyleType()
    See the list-style-type property definition in CSS2.

  - ### setListStyleType

    void setListStyleType​(String listStyleType) throws DOMException
    See the list-style-type property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMargin

    String getMargin()
    See the margin property definition in CSS2.

  - ### setMargin

    void setMargin​(String margin) throws DOMException
    See the margin property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMarginTop

    String getMarginTop()
    See the margin-top property definition in CSS2.

  - ### setMarginTop

    void setMarginTop​(String marginTop) throws DOMException
    See the margin-top property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMarginRight

    String getMarginRight()
    See the margin-right property definition in CSS2.

  - ### setMarginRight

    void setMarginRight​(String marginRight) throws DOMException
    See the margin-right property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMarginBottom

    String getMarginBottom()
    See the margin-bottom property definition in CSS2.

  - ### setMarginBottom

    void setMarginBottom​(String marginBottom) throws DOMException
    See the margin-bottom property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMarginLeft

    String getMarginLeft()
    See the margin-left property definition in CSS2.

  - ### setMarginLeft

    void setMarginLeft​(String marginLeft) throws DOMException
    See the margin-left property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMarkerOffset

    String getMarkerOffset()
    See the marker-offset property definition in CSS2.

  - ### setMarkerOffset

    void setMarkerOffset​(String markerOffset) throws DOMException
    See the marker-offset property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMarks

    String getMarks()
    See the marks property definition in CSS2.

  - ### setMarks

    void setMarks​(String marks) throws DOMException
    See the marks property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMaxHeight

    String getMaxHeight()
    See the max-height property definition in CSS2.

  - ### setMaxHeight

    void setMaxHeight​(String maxHeight) throws DOMException
    See the max-height property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMaxWidth

    String getMaxWidth()
    See the max-width property definition in CSS2.

  - ### setMaxWidth

    void setMaxWidth​(String maxWidth) throws DOMException
    See the max-width property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMinHeight

    String getMinHeight()
    See the min-height property definition in CSS2.

  - ### setMinHeight

    void setMinHeight​(String minHeight) throws DOMException
    See the min-height property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getMinWidth

    String getMinWidth()
    See the min-width property definition in CSS2.

  - ### setMinWidth

    void setMinWidth​(String minWidth) throws DOMException
    See the min-width property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getOrphans

    String getOrphans()
    See the orphans property definition in CSS2.

  - ### setOrphans

    void setOrphans​(String orphans) throws DOMException
    See the orphans property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getOutline

    String getOutline()
    See the outline property definition in CSS2.

  - ### setOutline

    void setOutline​(String outline) throws DOMException
    See the outline property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getOutlineColor

    String getOutlineColor()
    See the outline-color property definition in CSS2.

  - ### setOutlineColor

    void setOutlineColor​(String outlineColor) throws DOMException
    See the outline-color property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getOutlineStyle

    String getOutlineStyle()
    See the outline-style property definition in CSS2.

  - ### setOutlineStyle

    void setOutlineStyle​(String outlineStyle) throws DOMException
    See the outline-style property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getOutlineWidth

    String getOutlineWidth()
    See the outline-width property definition in CSS2.

  - ### setOutlineWidth

    void setOutlineWidth​(String outlineWidth) throws DOMException
    See the outline-width property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getOverflow

    String getOverflow()
    See the overflow property definition in CSS2.

  - ### setOverflow

    void setOverflow​(String overflow) throws DOMException
    See the overflow property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPadding

    String getPadding()
    See the padding property definition in CSS2.

  - ### setPadding

    void setPadding​(String padding) throws DOMException
    See the padding property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPaddingTop

    String getPaddingTop()
    See the padding-top property definition in CSS2.

  - ### setPaddingTop

    void setPaddingTop​(String paddingTop) throws DOMException
    See the padding-top property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPaddingRight

    String getPaddingRight()
    See the padding-right property definition in CSS2.

  - ### setPaddingRight

    void setPaddingRight​(String paddingRight) throws DOMException
    See the padding-right property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPaddingBottom

    String getPaddingBottom()
    See the padding-bottom property definition in CSS2.

  - ### setPaddingBottom

    void setPaddingBottom​(String paddingBottom) throws DOMException
    See the padding-bottom property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPaddingLeft

    String getPaddingLeft()
    See the padding-left property definition in CSS2.

  - ### setPaddingLeft

    void setPaddingLeft​(String paddingLeft) throws DOMException
    See the padding-left property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPage

    String getPage()
    See the page property definition in CSS2.

  - ### setPage

    void setPage​(String page) throws DOMException
    See the page property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPageBreakAfter

    String getPageBreakAfter()
    See the page-break-after property definition in CSS2.

  - ### setPageBreakAfter

    void setPageBreakAfter​(String pageBreakAfter) throws DOMException
    See the page-break-after property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPageBreakBefore

    String getPageBreakBefore()
    See the page-break-before property definition in CSS2.

  - ### setPageBreakBefore

    void setPageBreakBefore​(String pageBreakBefore) throws DOMException
    See the page-break-before property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPageBreakInside

    String getPageBreakInside()
    See the page-break-inside property definition in CSS2.

  - ### setPageBreakInside

    void setPageBreakInside​(String pageBreakInside) throws DOMException
    See the page-break-inside property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPause

    String getPause()
    See the pause property definition in CSS2.

  - ### setPause

    void setPause​(String pause) throws DOMException
    See the pause property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPauseAfter

    String getPauseAfter()
    See the pause-after property definition in CSS2.

  - ### setPauseAfter

    void setPauseAfter​(String pauseAfter) throws DOMException
    See the pause-after property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPauseBefore

    String getPauseBefore()
    See the pause-before property definition in CSS2.

  - ### setPauseBefore

    void setPauseBefore​(String pauseBefore) throws DOMException
    See the pause-before property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPitch

    String getPitch()
    See the pitch property definition in CSS2.

  - ### setPitch

    void setPitch​(String pitch) throws DOMException
    See the pitch property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPitchRange

    String getPitchRange()
    See the pitch-range property definition in CSS2.

  - ### setPitchRange

    void setPitchRange​(String pitchRange) throws DOMException
    See the pitch-range property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPlayDuring

    String getPlayDuring()
    See the play-during property definition in CSS2.

  - ### setPlayDuring

    void setPlayDuring​(String playDuring) throws DOMException
    See the play-during property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getPosition

    String getPosition()
    See the position property definition in CSS2.

  - ### setPosition

    void setPosition​(String position) throws DOMException
    See the position property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getQuotes

    String getQuotes()
    See the quotes property definition in CSS2.

  - ### setQuotes

    void setQuotes​(String quotes) throws DOMException
    See the quotes property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getRichness

    String getRichness()
    See the richness property definition in CSS2.

  - ### setRichness

    void setRichness​(String richness) throws DOMException
    See the richness property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getRight

    String getRight()
    See the right property definition in CSS2.

  - ### setRight

    void setRight​(String right) throws DOMException
    See the right property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getSize

    String getSize()
    See the size property definition in CSS2.

  - ### setSize

    void setSize​(String size) throws DOMException
    See the size property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getSpeak

    String getSpeak()
    See the speak property definition in CSS2.

  - ### setSpeak

    void setSpeak​(String speak) throws DOMException
    See the speak property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getSpeakHeader

    String getSpeakHeader()
    See the speak-header property definition in CSS2.

  - ### setSpeakHeader

    void setSpeakHeader​(String speakHeader) throws DOMException
    See the speak-header property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getSpeakNumeral

    String getSpeakNumeral()
    See the speak-numeral property definition in CSS2.

  - ### setSpeakNumeral

    void setSpeakNumeral​(String speakNumeral) throws DOMException
    See the speak-numeral property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getSpeakPunctuation

    String getSpeakPunctuation()
    See the speak-punctuation property definition in CSS2.

  - ### setSpeakPunctuation

    void setSpeakPunctuation​(String speakPunctuation) throws DOMException
    See the speak-punctuation property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getSpeechRate

    String getSpeechRate()
    See the speech-rate property definition in CSS2.

  - ### setSpeechRate

    void setSpeechRate​(String speechRate) throws DOMException
    See the speech-rate property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getStress

    String getStress()
    See the stress property definition in CSS2.

  - ### setStress

    void setStress​(String stress) throws DOMException
    See the stress property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getTableLayout

    String getTableLayout()
    See the table-layout property definition in CSS2.

  - ### setTableLayout

    void setTableLayout​(String tableLayout) throws DOMException
    See the table-layout property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getTextAlign

    String getTextAlign()
    See the text-align property definition in CSS2.

  - ### setTextAlign

    void setTextAlign​(String textAlign) throws DOMException
    See the text-align property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getTextDecoration

    String getTextDecoration()
    See the text-decoration property definition in CSS2.

  - ### setTextDecoration

    void setTextDecoration​(String textDecoration) throws DOMException
    See the text-decoration property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getTextIndent

    String getTextIndent()
    See the text-indent property definition in CSS2.

  - ### setTextIndent

    void setTextIndent​(String textIndent) throws DOMException
    See the text-indent property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getTextShadow

    String getTextShadow()
    See the text-shadow property definition in CSS2.

  - ### setTextShadow

    void setTextShadow​(String textShadow) throws DOMException
    See the text-shadow property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getTextTransform

    String getTextTransform()
    See the text-transform property definition in CSS2.

  - ### setTextTransform

    void setTextTransform​(String textTransform) throws DOMException
    See the text-transform property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getTop

    String getTop()
    See the top property definition in CSS2.

  - ### setTop

    void setTop​(String top) throws DOMException
    See the top property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getUnicodeBidi

    String getUnicodeBidi()
    See the unicode-bidi property definition in CSS2.

  - ### setUnicodeBidi

    void setUnicodeBidi​(String unicodeBidi) throws DOMException
    See the unicode-bidi property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getVerticalAlign

    String getVerticalAlign()
    See the vertical-align property definition in CSS2.

  - ### setVerticalAlign

    void setVerticalAlign​(String verticalAlign) throws DOMException
    See the vertical-align property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getVisibility

    String getVisibility()
    See the visibility property definition in CSS2.

  - ### setVisibility

    void setVisibility​(String visibility) throws DOMException
    See the visibility property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getVoiceFamily

    String getVoiceFamily()
    See the voice-family property definition in CSS2.

  - ### setVoiceFamily

    void setVoiceFamily​(String voiceFamily) throws DOMException
    See the voice-family property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getVolume

    String getVolume()
    See the volume property definition in CSS2.

  - ### setVolume

    void setVolume​(String volume) throws DOMException
    See the volume property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getWhiteSpace

    String getWhiteSpace()
    See the white-space property definition in CSS2.

  - ### setWhiteSpace

    void setWhiteSpace​(String whiteSpace) throws DOMException
    See the white-space property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getWidows

    String getWidows()
    See the widows property definition in CSS2.

  - ### setWidows

    void setWidows​(String widows) throws DOMException
    See the widows property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getWidth

    String getWidth()
    See the width property definition in CSS2.

  - ### setWidth

    void setWidth​(String width) throws DOMException
    See the width property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getWordSpacing

    String getWordSpacing()
    See the word-spacing property definition in CSS2.

  - ### setWordSpacing

    void setWordSpacing​(String wordSpacing) throws DOMException
    See the word-spacing property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

  - ### getZIndex

    String getZIndex()
    See the z-index property definition in CSS2.

  - ### setZIndex

    void setZIndex​(String zIndex) throws DOMException
    See the z-index property definition in CSS2.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.